Name: kde-i18n-ru
Version: 3.1.4
Release: alt7

Group: Graphical desktop/KDE
Summary: Russian language support for KDE
License: GPL
Url: http://www.kde.org/
Icon: kde-icon.xpm

Source: kde-i18n-ru-%{version}.tar.bz2
Source1: kde-i18n-ru-ksplashml.po
Source2: kde-i18n-ru-kdmgreet-add.po
Source3: kde-i18n-ru-kcmscreensaver-add.po
Source4: kde-i18n-ru-kppp-add.po
Source5: kde-i18n-ru-desktop_kdebase-add.po
Source6: kde-i18n-konqueror-add.po
Source7: kde-i18n-ru-kcmkonqhtml-add.po
Source8: kde-i18n-ru-kio_devices-20031021.po
Source9: kde-i18n-ru-kdesktop-add.po
Source10: kde-i18n-ru-add.tar.bz2
Source11: kdeprint.tar.bz2

Patch1: kde-i18n-ru-kcmlocale_sign.patch
Patch2: kde-i18n-ru-kppp.patch
Patch3: kde-i18n-ru-kdelibs.patch
Patch4: kde-i18n-ru-quanta.patch
Patch5: kde-i18n-ru-kio_devices.patch
Patch6: banner-docs.patch
Patch7: banner-messages.patch

Provides: kde-i18n-lang
Provides: kde-i18n-ru3, kde3-i18n-ru
Obsoletes: kde-i18n-ru3, kde3-i18n-ru
Requires: kdelibs
BuildArch: noarch

BuildRequires: libarts-devel kdelibs-devel xml-utils

%description
Russian language support for KDE.

%prep
%setup -q -n kde-i18n-ru-%version

pushd ru

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch7 -p1

pushd docs/kdebase
    rm -rf kdeprint
    tar xfj %SOURCE11
popd
%patch6 -p1

cat %SOURCE1 >> messages/kdebase/ksplash.po
cat %SOURCE2 >> messages/kdebase/kdmgreet.po
cat %SOURCE3 >> messages/kdebase/kcmscreensaver.po
cat %SOURCE4 >> messages/kdenetwork/kppp.po
cat %SOURCE5 >> messages/kdebase/desktop_kdebase.po
cat %SOURCE6 >> messages/kdebase/konqueror.po
cat %SOURCE7 >> messages/kdebase/kcmkonqhtml.po
cat %SOURCE9 >> messages/kdebase/kdesktop.po
if ! [ -f messages/kdebase/kio_devices.po ]
then
    install -m 644 %SOURCE8 messages/kdebase/kio_devices.po
else
    echo "FAILED: install -m 644 %SOURCE8 messages/kdebase/kio_devices.po"
    exit
fi

pushd messages
    tar xfj %SOURCE10
    find -type f -name \*.pot -exec rm -f {} \;
popd

find ./docs -type f -name index.docbook | \
while read f
do
    subst "s/V4\.2\-Based/V4.1.2-Based/g" $f
done

popd


make -f Makefile.cvs

%build
pushd ru
%configure
%make_build
popd

%install
pushd ru
%make install DESTDIR=%buildroot
popd

%files
%_docdir/HTML/ru/
#
%dir %_datadir/locale/ru/
%_datadir/locale/ru/charset
%_datadir/locale/ru/*.desktop
%_datadir/locale/ru/*.png
#
#
%dir %_datadir/locale/ru/LC_MESSAGES/
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo

%changelog
* Wed Mar 17 2004 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt7
- fix "banner" translation

* Tue Mar 16 2004 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt6
- update translations by Valia V. Vaneeva <fattie@altlinux.ru>

* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt5
- add some translations(kmail,kgpg,etc.) from KDE_3_2_BRANCH
- add krandr translation from KDE_3_2_BRANCH

* Wed Jan 21 2004 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt4
- translate "Open Terminal" on kdesktop

* Tue Oct 21 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt3
- add translation of "Mobile Disk" on desktop

* Thu Oct 16 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt2
- fix transtation devices on desktop

* Tue Oct 07 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- update documentation from HEAD

* Fri Aug 22 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- new version

* Fri Jul 11 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2
- add kio_devices.po

* Tue Jun 03 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt1
- new version

* Thu Apr 10 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.1-alt1
- new version

* Tue Feb 04 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- release 3.1

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- 3.1rc6

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update from cvs

* Fri Oct 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update from cvs

* Tue Aug 27 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- new version

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version

* Wed Jun 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.0.1-alt3
- Removed requires to locales-ru

* Tue Jun 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt2
- fix Poweroff translation for kdm

* Thu May 23 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Mon May 20 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt5
- update from cvs

* Wed May 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt4
- update from cvs

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- move to /usr

* Mon Apr 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- update from cvs

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- release

* Wed Apr 03 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.2.beta2
- rename package

* Fri Mar 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.1.beta2
- build for ALT

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0beta1

* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
